module Tosuto
  class MenuItemSelection < Resource
    attr_accessor :guid, :external_id, :deferred, :pre_discount_price, :void_reason,
      :option_group, :display_name, :applied_discounts, :modifiers, :seat_number,
      :void_date, :fulfillment_status, :selection_type, :price, :voided,
      :quantity, :unit_of_measure, :tax, :void_business_date, :created_date, :pre_modifier,
      :modified_date

    attr_collections applied_taxes: AppliedTaxRate

    def initialize(hash)
      set_attributes(hash)
    end
  end
end
